
Redmine - Defect #35195

Long Text label name is not displayed

2021-05-02 03:36 - ryou soda

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.0

Description

When using a custom field of Long Text with "Full width layout", the label name is not displayed on the ticket screen if no value is

entered.

The situation is the same for Redmine 4.1 / 4.2.

Related issues:

Related to Redmine - Patch #21705: Option for long text custom fields to be d... Closed

History

#1 - 2021-05-02 03:38 - ryou soda

Label name "Long-Text (Wide)" is not displayed

 noinput_long-text.jpg 

#2 - 2021-05-03 09:02 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

This is the expected behaviour, custom fields with empty value are not rendered regardless their type (long text or not). Please reopen if you consider

this a feature request, but in my opinion, displaying all the custom fields by default will eat a lot of space without any benefit.

#3 - 2021-05-03 12:55 - ryou soda

- File long-text_not-wide.jpg added

I understand the policy of not issuing it if it is empty.

If so, is it an unintended behavior that is displayed when it is not "Full width layout"?

#4 - 2021-05-03 13:54 - Marius BĂLTEANU

- Status changed from Closed to Reopened

- Assignee set to Marius BĂLTEANU

#5 - 2021-05-03 22:02 - Marius BĂLTEANU

- Resolution deleted (Invalid)

Sorry, I posted a misinformation in my previous note.

I checked again now and all custom fields are shown in issue detail page except full width custom fields which are not rendered when the value is

blank. You can see r16257 from #21705 for more details.

Considering this new and correct information, do you want to keep this open and track it as a feature request?

#6 - 2021-05-03 22:02 - Marius BĂLTEANU

- Related to Patch #21705: Option for long text custom fields to be displayed using full width added

#7 - 2021-05-04 00:04 - ryou soda

I understand that the label will be hidden only in the case of "Full width layout", so it is OK to close it.
https://www.redmine.org/projects/redmine/repository/svn/revisions/16257
https://www.redmine.org/issues/21705


#8 - 2021-05-04 06:10 - Marius BĂLTEANU

- Status changed from Reopened to Closed

- Resolution set to Invalid

Thanks for your feedback.
